jagan
Posts: 12
Joined: Tue Aug 19, 2014 2:33 pm

How to enable TLS 1.2 in Clover ETL Community version 3.5

Postby jagan » Wed Jul 19, 2017 7:51 am

Hi Team,

I am unable to make a Concur Rest API call as because they have moved to TLS 1.2 version.

so how to enable TLS v 1.2 in Clover ETL 3.5 community edition?

Thanks,
Jagan.

cholastal
Posts: 107
Joined: Tue Sep 01, 2015 1:22 pm

Re: How to enable TLS 1.2 in Clover ETL Community version 3.5

Postby cholastal » Thu Jul 20, 2017 7:40 am

Hi Jagan,

As the CloverETL Designer is basically an Eclipse plugin, the TLS should be enabled in a similar manner. Please try to add the following VM argument to the run configuration of your graph(s).

Code: Select all

-Dhttps.protocols=TLSv1,TLSv1.1,TLSv1.2


You can add the VM argument via the Designer's top menu -> Run -> Run Configurations -> <your_graph> -> Arguments.

You should also consider upgrading your CloverETL Designer as version 3.5 is obsolete and there were some TLS related changes made since then.

Hope this helps,
---
Lukas Cholasta
CloverCARE Support
CloverETL | Rapid Data Integration

Visit us online at http://www.cloveretl.com
How to speed up communication with CloverCARE support